## symfony 6.4.7+dfsg

=== debian/changelog ===
symfony (6.4.7+dfsg-1ubuntu1) oracular; urgency=medium

  * Sync with Debian. Remaining change:
    - Add patch to skip tests incompatible with ICU 74

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 30 Jun 2024 17:55:31 -0400

symfony (6.4.7+dfsg-1) unstable; urgency=medium

  [ Fabien Potencier ]
  * Update VERSION for 6.4.7

  [ David Prévot ]
  * Update Standards-Version to 4.7.0
  * Update copyright for duplicated image
  * php-symfony-filesystem: Update homemade autoload

 -- David Prévot <taffit@debian.org>  Thu, 02 May 2024 08:25:09 +0200

symfony (6.4.6+dfsg-1) unstable; urgency=medium

  [ Fabien Potencier ]
  * Update VERSION for 6.4.6

  [ David Prévot ]
  * Drop signature check (latest upstream tag is not PGP-signed)
  * Update copyright for new image

 -- David Prévot <taffit@debian.org>  Sun, 07 Apr 2024 11:31:35 +0200

symfony (6.4.5+dfsg-4) unstable; urgency=medium

  * Skip test failing in ppc64el
  * [ProxyManagerBridge] Relax expected output

 -- David Prévot <taffit@debian.org>  Tue, 26 Mar 2024 08:17:59 +0000
