## symfony 6.4.10+dfsg

=== debian/changelog ===
symfony (6.4.10+dfsg-1ubuntu1) oracular; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Add patch to skip tests incompatible with ICU 74
  * New changes:
    - d/patches: make xml schema deterministic
    - Disable failing tests

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Thu, 15 Aug 2024 10:46:17 -0300

symfony (6.4.10+dfsg-1) unstable; urgency=medium

  [ Fabien Potencier ]
  * Update VERSION for 6.4.10

 -- David Prévot <taffit@debian.org>  Sat, 27 Jul 2024 11:33:18 +0900

symfony (6.4.9+dfsg-1) unstable; urgency=medium

  [ Fabien Potencier ]
  * Update VERSION for 6.4.9

  [ David Prévot ]
  * php-symfony-filesystem: Update homemade autoload

 -- David Prévot <taffit@debian.org>  Tue, 23 Jul 2024 15:50:44 +0900
