=== debian/control ===
Source: symfony
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>
Uploaders: Daniel Beyer <dabe@deb.ymc.ch>, David Prévot <taffit@debian.org>
Section: php
Priority: optional
Standards-Version: 4.7.0
Build-Depends: debhelper-compat (= 13),
               dh-sequence-phpcomposer,
               pkg-php-tools
Build-Depends-Indep: composer,
                     dctrl-tools,
                     file,
                     jq,
                     locales-all,
                     parallel,
                     php-amqp,
                     php-apcu,
                     php-async-aws-ses,
                     php-async-aws-sns,
                     php-async-aws-sqs,
                     php-cache-integration-tests,
                     php-curl,
                     php-doctrine-annotations,
                     php-doctrine-data-fixtures,
                     php-doctrine-orm,
                     php-dragonmantank-cron-expression,
                     php-email-validator,
                     php-friendsofphp-proxy-manager-lts,
                     php-gd,
                     php-guzzlehttp-promises,
                     php-http-httplug,
                     php-http-message-factory,
                     php-intl,
                     php-ldap,
                     php-league-html-to-markdown,
                     php-league-uri,
                     php-masterminds-html5,
                     php-mbstring,
                     php-memcached,
                     php-monolog,
                     php-nyholm-psr7,
                     php-pda-pheanstalk,
                     php-pgsql,
                     php-phpdbg,
                     php-phpdocumentor-reflection-docblock,
                     php-phpstan-phpdoc-parser,
                     php-predis,
                     php-psr-cache (>= 2),
                     php-psr-clock,
                     php-psr-container,
                     php-psr-http-client,
                     php-psr-link,
                     php-psr-log,
                     php-psr-simple-cache,
                     php-redis,
                     php-sqlite3,
                     php-symfony-contracts (>= 3),
                     php-symfony-mercure-bundle,
                     php-symfony-polyfill-php83,
                     php-symfony-security-acl,
                     php-twig,
                     php-twig-cssinliner-extra,
                     php-twig-inky-extra,
                     php-twig-markdown-extra,
                     php-uuid,
                     phpab,
                     phpunit
Homepage: https://symfony.com/
Vcs-Browser: https://salsa.debian.org/php-team/pear/symfony
Vcs-Git: https://salsa.debian.org/php-team/pear/symfony.git -b debian/6
Rules-Requires-Root: no

Package: php-symfony
Architecture: all
Depends: ${misc:Depends},
         ${phpcomposer:Debian-replace},
         ${phpcomposer:Debian-require}
Suggests: ${phpcomposer:Debian-suggest}
Breaks: ${phpcomposer:Debian-conflict}
Provides: ${phpcomposer:Debian-provide}
Description: set of reusable components and framework for web projects
 ${phpcomposer:description} allows one to create websites and web
 applications. It’s a set of tools and a development methodology.
 .
 This package depends on every component. Applications depending on
 Symfony should rather depend on individual components actually needed
 by them.

Package: php-symfony-asset
Multi-Arch: foreign
Architecture: all
Depends: ${misc:Depends}, ${phpcomposer:Debian-require}
Suggests: ${phpcomposer:Debian-suggest}
Replaces: ${phpcomposer:Debian-replace}
Breaks: ${phpcomposer:Debian-conflict}, ${phpcomposer:Debian-replace}
Provides: ${phpcomposer:Debian-provide}
Homepage: https://symfony.com/doc/6.4/components/asset.html
Description: manage asset URLs
 The Symfony Asset Component manages URL generation and versioning of
 web assets such as CSS stylesheets, JavaScript files and image files.
 .
 Symfony is a PHP framework, a set of tools and a development methodology.

Package: php-symfony-asset-mapper
Multi-Arch: foreign
Architecture: all
Depends: ${misc:Depends}, ${phpcomposer:Debian-require}
Suggests: ${phpcomposer:Debian-suggest}
Replaces: ${phpcomposer:Debian-replace}
Breaks: ${phpcomposer:Debian-conflict}, ${phpcomposer:Debian-replace}
Provides: ${phpcomposer:Debian-provide}
Description: maps directories of asset and makes them available in a public directory
 The Symfony AssetMapper Component allows one to expose directories of assets
 that are then moved to a public directory with digested (i.e. versioned)
 filenames. It also allows one to dump an importmap to allow writing modern
 JavaScript without a build system.
 .
 Symfony is a PHP framework, a set of tools and a development methodology.

Package: php-symfony-browser-kit
Architecture: all
Depends: ${misc:Depends}, ${phpcomposer:Debian-require}
Suggests: ${phpcomposer:Debian-suggest}
Replaces: ${phpcomposer:Debian-replace}
Breaks: ${phpcomposer:Debian-conflict}, ${phpcomposer:Debian-replace}
Provides: ${phpcomposer:Debian-provide}
Homepage: https://symfony.com/doc/6.4/components/browser_kit.html
Description: simulate the behavior of a web browser
 The Symfony BrowserKit Component simulates the behavior of a web browser,
 allowing you to make requests, click on links and submit forms
 programmatically.
 .
 Symfony is a PHP framework, a set of tools and a development methodology.

Package: php-symfony-cache
Architecture: all
Depends: ${misc:Depends}, ${phpcomposer:Debian-require}
Suggests: ${phpcomposer:Debian-suggest}
Replaces: ${phpcomposer:Debian-replace}
Breaks: ${phpcomposer:Debian-conflict}, ${phpcomposer:Debian-replace}
Provides: ${phpcomposer:Debian-provide}
Homepage: https://symfony.com/doc/6.4/components/cache.html
Description: provides extended PSR-6, PSR-16 (and tags) implementations
 The Symfony Cache Component provides extended PSR-6 implementations for
 adding cache to applications. It is designed to have a low overhead so
 that caching is fastest. It ships with adapters for the most widespread
 caching backends. It also provides a PSR-16 adapter, and implementations
 for `symfony/cache-contracts` `CacheInterface` and `TagAwareCacheInterface`.
 .
 Symfony is a PHP framework, a set of tools and a development methodology.

Package: php-symfony-config
Architecture: all
Depends: ${misc:Depends}, ${phpcomposer:Debian-require}
Suggests: ${phpcomposer:Debian-suggest}
Replaces: ${phpcomposer:Debian-replace}
Breaks: ${phpcomposer:Debian-conflict}, ${phpcomposer:Debian-replace}
Provides: ${phpcomposer:Debian-provide}
Homepage: https://symfony.com/doc/6.4/components/config.html
Description: load configurations from different data sources
 The Symfony Config Component provides the infrastructure for loading
 configurations from different data sources and optionally monitoring
 these for changes. Additional tools for validating, normalizing and
 handling of defaults are provided.
 .
 Symfony is a PHP framework, a set of tools and a development methodology.

Package: php-symfony-clock
Multi-Arch: foreign
Architecture: all
Depends: ${misc:Depends}, ${phpcomposer:Debian-require}
Suggests: ${phpcomposer:Debian-suggest}
Replaces: ${phpcomposer:Debian-replace}
Breaks: ${phpcomposer:Debian-conflict}, ${phpcomposer:Debian-replace}
Provides: ${phpcomposer:Debian-provide}
Homepage: https://symfony.com/doc/6.4/components/clock.html
Description: ${phpcomposer:description}
 The Symfony Clock Component decouples applications from the system clock.
 This allows one to fix time to improve testability of time-sensitive logic.
 .
 Symfony is a PHP framework, a set of tools and a development methodology.

Package: php-symfony-console
Architecture: all
Depends: ${misc:Depends}, ${phpcomposer:Debian-require}
Suggests: ${phpcomposer:Debian-suggest}
Replaces: ${phpcomposer:Debian-replace}
Breaks: ${phpcomposer:Debian-conflict}, ${phpcomposer:Debian-replace}
Provides: ${phpcomposer:Debian-provide}
Homepage: https://symfony.com/doc/6.4/components/console.html
Description: run tasks from the command line
 The Symfony Console Component can be used to implement recurring
 or long running tasks, such as cronjobs, imports or other batch
 jobs. Additionally it assists the creation of nice looking command
 line interfaces.
 .
 Symfony is a PHP framework, a set of tools and a development methodology.

Package: php-symfony-css-selector
Multi-Arch: foreign
Architecture: all
Depends: ${misc:Depends}, ${phpcomposer:Debian-require}
Suggests: ${phpcomposer:Debian-suggest}
Replaces: ${phpcomposer:Debian-replace}
Breaks: ${phpcomposer:Debian-conflict}, ${phpcomposer:Debian-replace}
Provides: ${phpcomposer:Debian-provide}
Homepage: https://symfony.com/doc/6.4/components/css_selector.html
Description: convert CSS selectors to XPath expressions
 The Symfony CssSelector Component can be used to convert CSS selectors
 to XPath expressions. It basically is a port of the Python lxml library.
 .
 Symfony is a PHP framework, a set of tools and a development methodology.

Package: php-symfony-dependency-injection
Architecture: all
Depends: ${misc:Depends}, ${phpcomposer:Debian-require}
Suggests: ${phpcomposer:Debian-suggest}
Replaces: ${phpcomposer:Debian-replace}
Breaks: ${phpcomposer:Debian-conflict}, ${phpcomposer:Debian-replace}
Provides: ${phpcomposer:Debian-provide}
Homepage: https://symfony.com/doc/6.4/components/dependency_injection.html
Description: standardize and centralize construction of objects
 The Symfony DependencyInjection Component allows one to standardize and
 centralize the way objects are constructed in an application.
 .
 Symfony is a PHP framework, a set of tools and a development methodology.

Package: php-symfony-dom-crawler
Architecture: all
Depends: ${misc:Depends}, ${phpcomposer:Debian-require}
Suggests: ${phpcomposer:Debian-suggest}
Replaces: ${phpcomposer:Debian-replace}
Breaks: ${phpcomposer:Debian-conflict}, ${phpcomposer:Debian-replace}
Provides: ${phpcomposer:Debian-provide}
Homepage: https://symfony.com/doc/6.4/components/dom_crawler.html
Description: ease DOM navigation for HTML and XML documents
 The Symfony DomCrawler Component provides methods to query and
 manipulate HTML and XML documents.
 .
 Symfony is a PHP framework, a set of tools and a development methodology.

Package: php-symfony-dotenv
Multi-Arch: foreign
Architecture: all
Depends: ${misc:Depends}, ${phpcomposer:Debian-require}
Suggests: ${phpcomposer:Debian-suggest}
Replaces: ${phpcomposer:Debian-replace}
Breaks: ${phpcomposer:Debian-conflict}, ${phpcomposer:Debian-replace}
Provides: ${phpcomposer:Debian-provide}
Homepage: https://symfony.com/doc/6.4/components/dotenv.html
Description: .env files parser to make environment variables accessible
 The Symfony Dotenv Component parses .env files to make environment variables
 stored in them accessible via getenv(), $_ENV, or $_SERVER.
 .
 Symfony is a PHP framework, a set of tools and a development methodology.

Package: php-symfony-error-handler
Architecture: all
Depends: ${misc:Depends}, ${phpcomposer:Debian-require}
Suggests: ${phpcomposer:Debian-suggest}
Replaces: ${phpcomposer:Debian-replace}
Breaks: ${phpcomposer:Debian-conflict}, ${phpcomposer:Debian-replace}
Provides: ${phpcomposer:Debian-provide}
Homepage: https://symfony.com/doc/6.4/components/error_handler.html
Description: manage errors and ease debugging
 The Symfony ErrorHandler Component provides tools to manage errors and ease
 debugging PHP code.
 .
 Symfony is a PHP framework, a set of tools and a development methodology.

Package: php-symfony-event-dispatcher
Architecture: all
Depends: ${misc:Depends}, ${phpcomposer:Debian-require}
Suggests: ${phpcomposer:Debian-suggest}
Replaces: ${phpcomposer:Debian-replace}
Breaks: ${phpcomposer:Debian-conflict}, ${phpcomposer:Debian-replace}
Provides: ${phpcomposer:Debian-provide}
