## symfony 6.4.11+dfsg

=== debian/changelog ===
symfony (6.4.11+dfsg-1) unstable; urgency=medium

  [ Fabien Potencier ]
  * Update VERSION for 6.4.11

  [ David Prévot ]
  * Skip failing tests (Closes: #1073470)

 -- David Prévot <taffit@debian.org>  Sun, 01 Sep 2024 11:24:04 +0200
