## symfony 6.4.12+dfsg

=== debian/changelog ===
symfony (6.4.12+dfsg-1) unstable; urgency=medium

  [ Fabien Potencier ]
  * Update VERSION for 6.4.12

 -- David Prévot <taffit@debian.org>  Sun, 22 Sep 2024 11:00:20 +0200
