## symfony 6.4.13+dfsg

=== debian/changelog ===
symfony (6.4.13+dfsg-1) unstable; urgency=medium

  [ Fabien Potencier ]
  * Update VERSION for 6.4.13

 -- David Prévot <taffit@debian.org>  Mon, 28 Oct 2024 07:51:29 +0100
