## symfony 6.4.14+dfsg

=== debian/changelog ===
symfony (6.4.14+dfsg-1) unstable; urgency=medium

  [ Nicolas Grekas ]
  * [HttpClient] Filter private IPs before connecting when Host == IP
    [CVE-2024-50342]
  * [HttpFoundation] Reject URIs that contain invalid characters
    [CVE-2024-50345]
  * [Process] Use %PATH% before %CD% to load the shell on Windows
    [CVE-2024-51736]

  [ Fabien Potencier ]
  * Update VERSION for 6.4.14

  [ Wouter de Jong ]
  * Do not read from argv on non-CLI SAPIs [CVE-2024-50340]

  [ David Prévot ]
  * Update 6.4.10+dfsg-1 changelog entry to document [CVE-2024-50341]
  * Update 6.4.11+dfsg-1 changelog entry to document [CVE-2024-50343]

 -- David Prévot <taffit@debian.org>  Fri, 08 Nov 2024 08:01:14 +0100
