## symfony 6.4.15+dfsg

=== debian/changelog ===
symfony (6.4.15+dfsg-1) unstable; urgency=medium

  [ Fabien Potencier ]
  * Update VERSION for 6.4.15

  [ Jérémy Derussé ]
  * [security-http] Check owner of persisted remember-me cookie
    [CVE-2024-51996]

  [ Nicolas Grekas ]
  * [HttpClient] Resolve hostnames in NoPrivateNetworkHttpClient
    [CVE-2024-50342]

 -- David Prévot <taffit@debian.org>  Thu, 14 Nov 2024 10:37:29 +0100
