## symfony 6.4.16+dfsg

=== debian/changelog ===
symfony (6.4.16+dfsg-2) unstable; urgency=medium

  * [Yaml] Drop data set currently failing on i386 (Closes: #1090309)

 -- David Prévot <taffit@debian.org>  Mon, 23 Dec 2024 14:20:17 +0100

symfony (6.4.16+dfsg-1) unstable; urgency=medium

  [ Fabien Potencier ]
  * Update VERSION for 6.4.16

 -- David Prévot <taffit@debian.org>  Wed, 27 Nov 2024 13:59:55 +0100
