## symfony 6.4.17+dfsg

=== debian/changelog ===
symfony (6.4.17+dfsg-1) unstable; urgency=medium

  [ Fabien Potencier ]
  * Update VERSION for 6.4.17

  [ David Prévot ]
  * phpab: exclude PhpStanExtractorTest.php

 -- David Prévot <taffit@debian.org>  Thu, 02 Jan 2025 13:58:12 +0100
