## symfony 6.4.18+dfsg

=== debian/changelog ===
symfony (6.4.18+dfsg-1ubuntu1) plucky; urgency=medium

  * d/rules: do not fail on test failures to allow php8.4 migration. The
    current test suite fails due to deprecation warning (not errors). Once
    the php8.4 transition is over, this should be dropped.
  * d/p/Workaround-ICU-new-format.patch: adjust for Ubuntu ICU
  * d/tests: skip autopkgtests for php8.4 transition. Drop this after the
    transition is over

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Tue, 18 Feb 2025 18:40:33 -0300

symfony (6.4.18+dfsg-1) unstable; urgency=medium

  [ Fabien Potencier ]
  * Update VERSION for 6.4.18

  [ Grégoire Paris ]
  * Add support for doctrine/persistence 4

 -- David Prévot <taffit@debian.org>  Wed, 29 Jan 2025 22:53:06 +0100

symfony (6.4.17+dfsg-6) unstable; urgency=medium

  * Source-only upload

 -- David Prévot <taffit@debian.org>  Tue, 14 Jan 2025 16:36:54 +0100

symfony (6.4.17+dfsg-5) unstable; urgency=medium

  * Drop php-symfony-polyfill-php83 requirement now that PHP 8.4 is the default

 -- David Prévot <taffit@debian.org>  Tue, 14 Jan 2025 16:18:14 +0100

symfony (6.4.17+dfsg-4) unstable; urgency=medium

  * Depend on recent PHPUnit for debci

 -- David Prévot <taffit@debian.org>  Mon, 13 Jan 2025 19:21:56 +0100

symfony (6.4.17+dfsg-3) unstable; urgency=medium

  * Drop test currently failing on buildd

 -- David Prévot <taffit@debian.org>  Sun, 12 Jan 2025 17:38:07 +0100

symfony (6.4.17+dfsg-2) unstable; urgency=medium

  * Drop incorrect markTestSkipped for ICU
  * PHPUnit 11 fixes (Closes: #1039856):
    + Drop listeners from phpunit.xml
    + Drop SymfonyTestsListener from php-symfony-phpunit-bridge
    + Drop never ending tests with PHPUnit 11
    + Use --exclude-group multiple times
    + Remove calls to getExpectedException()
    + Group nophpunit11 for tests failing with PHPUnit 11

 -- David Prévot <taffit@debian.org>  Sat, 11 Jan 2025 13:59:55 +0100
