=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: symfony
-Maintainer: Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>
 Uploaders: Daniel Beyer <dabe@deb.ymc.ch>, David Prévot <taffit@debian.org>
 Section: php
 Priority: optional
@@ -56,7 +57,6 @@
                      php-sqlite3,
                      php-symfony-contracts (>= 3),
                      php-symfony-mercure-bundle,
-                     php-symfony-polyfill-php83,
                      php-symfony-security-acl,
                      php-twig,
                      php-twig-cssinliner-extra,
@@ -276,4 +276,3 @@
 Breaks: ${phpcomposer:Debian-conflict}, ${phpcomposer:Debian-replace}
 Provides: ${phpcomposer:Debian-provide}
 Homepage: https://symfony.com/doc/6.4/components/event_dispatcher.html
-Description: dispatch events and listen to them
