=== debian/rules ===
--- 
+++ 
@@ -115,9 +115,12 @@
 	ln -s /usr/share/php/Symfony/Polyfill build/Symfony
 	ln -s /usr/share/php/Twig build
 	ln -s build/Symfony .
+	# Drop never ending testsuite with PHPUnit 11
+	rm -f build/Symfony/Component/HttpKernel/phpunit.xml.dist
+	rm -f build/Symfony/Component/RateLimiter/phpunit.xml.dist
 	# Actual tests suite
-	components=$$(find build/Symfony -mindepth 3 -maxdepth 4 -type f -name phpunit.xml.dist -printf '%h\n') && \
-	 echo "$$components" | parallel --gnu --keep-order '/bin/echo -e "\\nRunning {} tests"; SYMFONY_DEPRECATIONS_HELPER=weak php -d assert.exception=1 -d zend.assertions=1 /usr/bin/phpunit --include build --colors=always --exclude-group jwt,network,tty,benchmark,intl-data,functional,composer {} || (/bin/echo -e "\\e[41mKO\\e[0m {}" && $$(exit 1));';
+	-components=$$(find build/Symfony -mindepth 3 -maxdepth 4 -type f -name phpunit.xml.dist -printf '%h\n') && \
+	 echo "$$components" | parallel --gnu --keep-order '/bin/echo -e "\\nRunning {} tests"; SYMFONY_DEPRECATIONS_HELPER=weak php -d assert.exception=1 -d zend.assertions=1 /usr/bin/phpunit --include build --colors=always --exclude-group jwt --exclude-group network --exclude-group tty --exclude-group benchmark --exclude-group intl-data --exclude-group functional --exclude-group composer --exclude-group nophpunit11 {} || (/bin/echo -e "\\e[41mKO\\e[0m {}" && $$(exit 1));';
 
 override_dh_phpcomposer:
 	dh_phpcomposer --package=php-symfony --sourcedirectory=./
@@ -146,19 +149,3 @@
 	  if [ \( $$deb_pkg_name = php-symfony-mailer \) -o \
 	       \( $$deb_pkg_name = php-symfony-messenger \) -o \
 	       \( $$deb_pkg_name = php-symfony-notifier \) -o \
-	       \( $$deb_pkg_name = php-symfony-translation \) ] ; then \
-	   dh_install \
-		-X.md \
-		-Xcomposer.json \
-		-XBridge \
-		-XLICENSE \
-		-Xphpunit.xml.dist \
-		-XTests \
-		--package=$$deb_pkg_name \
-		$$src_path/* \
-		usr/share/php/Symfony/$$pkg_path/; \
-	  else \
-	   dh_install \
-		-X.git \
-		-X.md \
-		-Xcomposer.json \
