## symfony 6.4.19+dfsg

=== debian/changelog ===
symfony (6.4.19+dfsg-2) unstable; urgency=medium

  * Drop patches not needed anymore
  * Test suite now compatible with PHP 8.4.5
  * Update Standards-Version to 4.7.2

 -- David Prévot <taffit@debian.org>  Mon, 24 Mar 2025 07:32:50 +0100

symfony (6.4.19+dfsg-1) unstable; urgency=medium

  [ Fabien Potencier ]
  * Update VERSION for 6.4.19

  [ David Prévot ]
  * ntfy-notifier: tfix in description (Closes: #1095786)

  [ Alexandre Daubois ]
  * [TwigBridge] Fix compatibility with Twig 3.21
  * [DoctrineBridge] Fix deprecation with `doctrine/dbal` ^4.3

 -- David Prévot <taffit@debian.org>  Thu, 27 Feb 2025 23:10:45 +0100
