## symfony 6.4.20+dfsg

=== debian/changelog ===
symfony (6.4.20+dfsg-2) unstable; urgency=medium

  * Skip tests failing with PHPUnit 11.5.17-1 (Closes: #1103209)

 -- David Prévot <taffit@debian.org>  Tue, 15 Apr 2025 09:06:12 +0200

symfony (6.4.20+dfsg-1) unstable; urgency=medium

  [ Fabien Potencier ]
  * Update VERSION for 6.4.20

  [ David Prévot ]
  * Make provider function static (PHPUnit 11 Fix)

 -- David Prévot <taffit@debian.org>  Sat, 29 Mar 2025 10:17:51 +0100
