## symfony 6.4.21+dfsg

=== debian/changelog ===
symfony (6.4.21+dfsg-2ubuntu1) questing; urgency=medium

  * d/rules: disable license checking (LP: #2119335)
  * d/p/fix-html5-content-with-errors.patch: Adapt test which expects
    invalid HTML content to be HTML5 compliant (LP: #2116038)

 -- Renan Rodrigo <renanrodrigo@canonical.com>  Tue, 05 Aug 2025 11:27:48 -0300

symfony (6.4.21+dfsg-2) unstable; urgency=medium

  * Drop tests currently failing on reproducible infrastructure

 -- David Prévot <taffit@debian.org>  Mon, 05 May 2025 08:04:39 +0200

symfony (6.4.21+dfsg-1) unstable; urgency=medium

  [ Fabien Potencier ]
  * Update VERSION for 6.4.21

 -- David Prévot <taffit@debian.org>  Fri, 02 May 2025 10:57:25 +0200
