=== debian/control ===
--- 
+++ 
@@ -4,10 +4,8 @@
 Uploaders: Daniel Beyer <dabe@deb.ymc.ch>, David Prévot <taffit@debian.org>
 Section: php
 Priority: optional
-Standards-Version: 4.7.0
-Build-Depends: debhelper-compat (= 13),
-               dh-sequence-phpcomposer,
-               pkg-php-tools
+Standards-Version: 4.7.2
+Build-Depends: debhelper-compat (= 13), dh-sequence-phpcomposer, pkg-php-tools
 Build-Depends-Indep: composer,
                      dctrl-tools,
                      file,
@@ -276,3 +274,4 @@
 Breaks: ${phpcomposer:Debian-conflict}, ${phpcomposer:Debian-replace}
 Provides: ${phpcomposer:Debian-provide}
 Homepage: https://symfony.com/doc/6.4/components/event_dispatcher.html
+Description: dispatch events and listen to them
