=== debian/rules ===
--- 
+++ 
@@ -4,12 +4,8 @@
 	dh $@
 
 override_dh_auto_build:
-ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	# Check if licenses of all images are properly covered in d/copyright
-	./debian/licensing/bin/check_image_licenses --check
-else
 	@echo "** image license check disabled"
-endif
+
 	phpab \
 		--template debian/autoload.php.tpl \
 		--output src/Symfony/autoload.php \
@@ -119,7 +115,7 @@
 	rm -f build/Symfony/Component/HttpKernel/phpunit.xml.dist
 	rm -f build/Symfony/Component/RateLimiter/phpunit.xml.dist
 	# Actual tests suite
-	-components=$$(find build/Symfony -mindepth 3 -maxdepth 4 -type f -name phpunit.xml.dist -printf '%h\n') && \
+	components=$$(find build/Symfony -mindepth 3 -maxdepth 4 -type f -name phpunit.xml.dist -printf '%h\n') && \
 	 echo "$$components" | parallel --gnu --keep-order '/bin/echo -e "\\nRunning {} tests"; SYMFONY_DEPRECATIONS_HELPER=weak php -d assert.exception=1 -d zend.assertions=1 /usr/bin/phpunit --include build --colors=always --exclude-group jwt --exclude-group network --exclude-group tty --exclude-group benchmark --exclude-group intl-data --exclude-group functional --exclude-group composer --exclude-group nophpunit11 {} || (/bin/echo -e "\\e[41mKO\\e[0m {}" && $$(exit 1));';
 
 override_dh_phpcomposer:
@@ -149,3 +145,13 @@
 	  if [ \( $$deb_pkg_name = php-symfony-mailer \) -o \
 	       \( $$deb_pkg_name = php-symfony-messenger \) -o \
 	       \( $$deb_pkg_name = php-symfony-notifier \) -o \
+	       \( $$deb_pkg_name = php-symfony-translation \) ] ; then \
+	   dh_install \
+		-X.md \
+		-Xcomposer.json \
+		-XBridge \
+		-XLICENSE \
+		-Xphpunit.xml.dist \
+		-XTests \
+		--package=$$deb_pkg_name \
+		$$src_path/* \
