=== debian/changelog ===
symfony (6.4.24+dfsg-1) unstable; urgency=medium

  [ Fabien Potencier ]
  * Update VERSION for 6.4.24

  [ David Prévot ]
  * Skip another failing test on reproducible infrastructure
  * Fix test failure with libxml 2.14.x (Closes: #1107547)

 -- David Prévot <taffit@debian.org>  Mon, 18 Aug 2025 07:34:17 +0200
