=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: symfony
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>
+Maintainer: Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>
 Uploaders: Daniel Beyer <dabe@deb.ymc.ch>, David Prévot <taffit@debian.org>
 Section: php
 Priority: optional
@@ -275,3 +274,4 @@
 Provides: ${phpcomposer:Debian-provide}
 Homepage: https://symfony.com/doc/6.4/components/event_dispatcher.html
 Description: dispatch events and listen to them
+ The Symfony EventDispatcher Component implements the mediator pattern
