=== debian/rules ===
--- 
+++ 
@@ -4,8 +4,12 @@
 	dh $@
 
 override_dh_auto_build:
+ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
+	# Check if licenses of all images are properly covered in d/copyright
+	./debian/licensing/bin/check_image_licenses --check
+else
 	@echo "** image license check disabled"
-
+endif
 	phpab \
 		--template debian/autoload.php.tpl \
 		--output src/Symfony/autoload.php \
@@ -145,13 +149,3 @@
 	  if [ \( $$deb_pkg_name = php-symfony-mailer \) -o \
 	       \( $$deb_pkg_name = php-symfony-messenger \) -o \
 	       \( $$deb_pkg_name = php-symfony-notifier \) -o \
-	       \( $$deb_pkg_name = php-symfony-translation \) ] ; then \
-	   dh_install \
-		-X.md \
-		-Xcomposer.json \
-		-XBridge \
-		-XLICENSE \
-		-Xphpunit.xml.dist \
-		-XTests \
-		--package=$$deb_pkg_name \
-		$$src_path/* \
