## symfony 6.4.25+dfsg

=== debian/changelog ===
symfony (6.4.25+dfsg-1) unstable; urgency=medium

  [ Fabien Potencier ]
  * Update VERSION for 6.4.25

  [ David Prévot ]
  * Remove Rules-Requires-Root
  * Use --include-path instead of --include for phpunit
  * PHPunit 12 compatibility

 -- David Prévot <taffit@debian.org>  Sat, 30 Aug 2025 17:11:59 +0200
