=== debian/tests/control ===
--- 
+++ 
@@ -35,7 +35,7 @@
          php-twig-cssinliner-extra,
          php-twig-inky-extra,
          php-twig-markdown-extra,
-         php8.4-common (>= 8.4.5),
+         php-zstd,
          phpab,
-         phpunit (>= 11),
+         phpunit,
          @
